-------------------------------------------------------------------------------
-- MrTrader
--
-- Suite of tools for the avid crafter.
--
-- Send suggestions, comments, and bugs to user@zedonline.net
-------------------------------------------------------------------------------

-- Singleton (With AceHook embedded)
MRTHooks = LibStub("AceHook-3.0");

function MRTHooks:OnEnable()
	self:RawHook("TradeSkillFrame_LoadUI", nil, true);
end

function MRTHooks:OnDisable()
	self:Unhook("TradeSkillFrame_LoadUI");
	if( self.hooks["TradeSkillFrame_Show"] ) then
		self:Unhook("TradeSkillFrame_Show");
	end
end

function MRTHooks:TradeSkillFrame_LoadUI()
	-- Let the tradeskill frame load, but hook Show once it loads.
	self.hooks["TradeSkillFrame_LoadUI"]();
	if( self.hooks["TradeSkillFrame_Show"] == nil ) then
		self:RawHook("TradeSkillFrame_Show", nil, true);
	end
end

function MRTHooks:TradeSkillFrame_Show()
	if( MrTrader:ShouldUseCustomWindow() ) then
		MrTraderSkillWindow.Show();
	else
		self.hooks["TradeSkillFrame_Show"]();
	end
end